libetonyek::KEYParser Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEYParser Class Referenceabstract

`#include <KEYParser.h>`

Inheritance diagram for libetonyek::KEYParser:

## Public Member Functions
| KEYParser (const RVNGInputStreamPtr_t &input, KEYCollector *collector, const KEYDefaults &defaults)
virtual | ~KEYParser ()=0
bool | parse ()
KEYCollector * | getCollector () const
const KEYDefaults & | getDefaults () const

## Private Member Functions
| KEYParser (const KEYParser &)
KEYParser & | operator= (const KEYParser &)
virtual void | processXmlNode (const KEYXMLReader &reader)=0
virtual KEYXMLReader::TokenizerFunction_t | getTokenizer () const =0
bool | processXmlDocument (const KEYXMLReader &reader)

## Private Attributes
RVNGInputStreamPtr_t | m_input
KEYCollector * | m_collector
const KEYDefaults & | m_defaults

## Constructor & Destructor Documentation

libetonyek::KEYParser::KEYParser | ( | const KEYParser & |  | ) |
| private

libetonyek::KEYParser::KEYParser | ( | const RVNGInputStreamPtr_t & | input,
|  | KEYCollector * | collector,
|  | const KEYDefaults & | defaults
| ) |  |

libetonyek::KEYParser::~KEYParser | ( |  | ) |
| pure virtual

## Member Function Documentation

KEYCollector * libetonyek::KEYParser::getCollector | ( |  | ) | const

Referenced by libetonyek::KEY2Parser::emitLayoutStyle(), libetonyek::KEY2TableParser::getCollector(), libetonyek::KEY2Parser::parseBezier(), libetonyek::KEY2Parser::parseBezierPath(), libetonyek::KEY2Parser::parseBr(), libetonyek::KEY2Parser::parseCallout2Path(), libetonyek::KEY2Parser::parseConnectionLine(), libetonyek::KEY2Parser::parseConnectionPath(), libetonyek::KEY2Parser::parseData(), libetonyek::KEY2Parser::parseDrawables(), libetonyek::KEY2Parser::parseFiltered(), libetonyek::KEY2Parser::parseFilteredImage(), libetonyek::KEY2Parser::parseGeometry(), libetonyek::KEY2Parser::parseGroup(), libetonyek::KEY2Parser::parseImage(), libetonyek::KEY2Parser::parseLayer(), libetonyek::KEY2Parser::parseLeveled(), libetonyek::KEY2Parser::parseLine(), libetonyek::KEY2Parser::parseLink(), libetonyek::KEY2Parser::parseMasterSlide(), libetonyek::KEY2Parser::parseMedia(), libetonyek::KEY2Parser::parseMovieMedia(), libetonyek::KEY2Parser::parseNotes(), libetonyek::KEY2Parser::parseOtherDatas(), libetonyek::KEY2Parser::parseP(), libetonyek::KEY2Parser::parsePlaceholder(), libetonyek::KEY2Parser::parsePointPath(), libetonyek::KEY2Parser::parseProxyMasterLayer(), libetonyek::KEY2Parser::parseScalarPath(), libetonyek::KEY2Parser::parseShape(), libetonyek::KEY2Parser::parseSlide(), libetonyek::KEY2Parser::parseSlideList(), libetonyek::KEY2Parser::parseSpan(), libetonyek::KEY2Parser::parseStickyNote(), libetonyek::KEY2Parser::parseStyles(), libetonyek::KEY2Parser::parseStylesheet(), libetonyek::KEY2Parser::parseTab(), libetonyek::KEY2Parser::parseThemeList(), libetonyek::KEY2Parser::parseUnfiltered(), and libetonyek::KEY2Parser::processXmlNode().

const KEYDefaults & libetonyek::KEYParser::getDefaults | ( |  | ) | const

Referenced by libetonyek::KEY2Parser::parseStyles().

virtual KEYXMLReader::TokenizerFunction_t libetonyek::KEYParser::getTokenizer | ( |  | ) | const
| privatepure virtual

Implemented in libetonyek::KEY2Parser, and libetonyek::KEY1Parser.

Referenced by parse().

KEYParser& libetonyek::KEYParser::operator= | ( | const KEYParser & |  | ) |
| private

bool libetonyek::KEYParser::parse | ( |  | ) |

bool libetonyek::KEYParser::processXmlDocument | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parse().

virtual void libetonyek::KEYParser::processXmlNode | ( | const KEYXMLReader & | reader | ) |
| privatepure virtual

Implemented in libetonyek::KEY2Parser, and libetonyek::KEY1Parser.

Referenced by processXmlDocument().

## Member Data Documentation

KEYCollector* libetonyek::KEYParser::m_collector
| private

Referenced by getCollector().

const KEYDefaults& libetonyek::KEYParser::m_defaults
| private

Referenced by getDefaults().

RVNGInputStreamPtr_t libetonyek::KEYParser::m_input
| private

Referenced by parse().

The documentation for this class was generated from the following files:

- KEYParser.h
- KEYParser.cpp